> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Servers

> Get all MCP servers with their basic information including id, name, description, and tools.



## OpenAPI

````yaml get /mcp-server/servers
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /mcp-server/servers:
    get:
      tags:
        - mcp-server
      summary: Get All Servers
      description: >-
        Get all MCP servers with their basic information including id, name,
        description, and tools.
      operationId: getAllMcpServers
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMcpServersResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetMcpServersResponse:
      properties:
        servers:
          items:
            $ref: '#/components/schemas/McpServer'
          type: array
          title: Servers
      type: object
      required:
        - servers
      title: GetMcpServersResponse
    McpServer:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tools:
          anyOf:
            - items:
                $ref: '#/components/schemas/ServerTool'
              type: array
            - type: 'null'
          title: Tools
        authNeeded:
          type: boolean
          title: Authneeded
          default: true
      type: object
      required:
        - id
        - name
      title: McpServer
    ServerTool:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
      type: object
      required:
        - name
        - description
      title: ServerTool
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````